# Amuse: amuse::AudioGroupSampleDirectory::ADPCMParms Struct Reference

amuse::AudioGroupSampleDirectory::ADPCMParms Struct Reference
Collaboration diagram for amuse::AudioGroupSampleDirectory::ADPCMParms:

## Public Member Functions

void | swapBig ()

## Public Attributes

uint16_t | m_bytesPerFrame
uint8_t | m_ps
uint8_t | m_lps
int16_t | m_hist1
int16_t | m_hist2
int16_t | m_coefs [8][2]

## Detailed Description

Definition at line 28 of file AudioGroupSampleDirectory.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupSampleDirectory.hpp